using compabetov2.database;
using compabetov2.database.modelos;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace compabetov2
{
    public partial class Confirmacion : Form
    {
        private Empleado empleado;
        private personal ventanaPadre;
        public Confirmacion(Empleado empleado, personal ventanaPadre)
        {
            InitializeComponent();
            this.empleado = empleado;
            this.ventanaPadre = ventanaPadre;
        }

        private void preguntaLogin_Load(object sender, EventArgs e)
        {

        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            ModificarContra modificarContra = new ModificarContra(empleado);
            modificarContra.Show();
            Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if(service.eliminarLogin(empleado))
            {
                ventanaPadre.llenarPanel();
                Close();
            }
        }
    }
}
